Subject: emacs-math-preview: add math-preview dependency?

From: Christopher Howard <[email-masked]>
Date: Thu, 02 Jan 2025 09:18:45 -0900

Hi, the package emacs-math-preview requires nodejs package math-preview to be installed, in order to work. Would it be possible Somebody™ could create a package for that and add it as an explicit dependency for emacs-math-preview?

I know nothing about nodejs and am having trouble figuring out how to install math-preview myself on Guix. The README.md instructions in emacs-math-preview state:

> It may be installed by issuing the command:
> 
> ```bash
> > npm install -g git+https://gitlab.com/matsievskiysv/math-preview
> ```

However, if I do this, I get this error:

```
christopher@theoden ~$ npm install -g git+https://gitlab.com/matsievskiysv/math-preview
npm ERR! code ENOENT
npm ERR! syscall mkdir
npm ERR! path /gnu/store/lknvzfbwqffvvyflid5dpm53vbjg8kh4-node-18.19.0/lib/node_modules/math-preview
npm ERR! errno -2
npm ERR! enoent ENOENT: no such file or directory, mkdir '/gnu/store/lknvzfbwqffvvyflid5dpm53vbjg8kh4-node-18.19.0/lib/node_modules/math-preview'
npm ERR! enoent This is related to npm not being able to find a file.
npm ERR! enoent 

npm ERR! A complete log of this run can be found in: /home/christopher/.npm/_logs/2025-01-02T18_16_26_364Z-debug-0.log
```

Evidently, I need to somehow pick a different path or something like that. If somebody could at least document the correct installation steps here, that would be helpful.

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ